<?php
include_once '../php/config.php';
include_once '../header.php';

   $sql2 = mysql_query("select id_producto from productos  order by id_producto desc
limit 1") or die(mysql_error());
$ultimo = @mysql_result($sql2,0,"id_producto")+1;



?>

<style>
    body{
        background: #ebedef;

    }
.titulos_p{
    font-size:12px;
}
	
	*{
		font-family:"Verdana";
	}
	.form-control2{
		border:1px solid green;
		width:65px;
	}
	
	.row{
		margin-top:8px;
	}
</style>
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            
            <div class="panel panel-default">
               <div class="panel-heading">

               </div>
                <div class="panel-body">
                     <form id="frm">
						 
                   <div class="row">
                    <div class="col-md-2  col-xs-2 mt-2">
                        <span class="titulos_p mt-2">ID</span>
                    </div>

                    <div class="col-md-10 col-xs-8">
                       <input type="text" class="form-control" id="id" name="id"  readonly>
                    </div>
				 </div> 
						 
						 
				<div class="row">
                    <div class="col-md-2 col-xs-2 mt-2">
                        <span class="titulos_p mt-2">CODIGO</span>
                    </div>

                    <div class="col-md-4 col-xs-4">
                       <input type="text" class="form-control" id="codigo" name="codigo"  autofocus>
                    </div>
					
					<div class="col-md-1 col-xs-2">
                      <a class="btn btn-info" href="#" onClick="ultimo()"><i class="bi bi-upload"></i> --</a>
                    </div>
					
					 <div class="col-md-4 col-xs-4">
                      <a class="btn btn-orange" href="#" onClick="get(frm.codigo.value)"><i class="bi bi-pencil"></i> Editar</a>
                    </div>
					
				 </div> 
						 
				<script>
				$("#codigo").select()
						 
			   </script>
						 
						 
				<div class="row">
                    <div class="col-md-2 col-xs-2 mt-2">
                        <span class="titulos_p mt-2">NOMBRE</span>
                    </div>

                    <div class="col-md-10 col-xs-8">
                       <input type="text" class="form-control" id="nombre" name="nombre">
                    </div>
				 </div> 
				 
				 <div class="row">
                    <div class="col-md-2 col-xs-2 mt-2">
                        <span class="titulos_p mt-2">COSTO</span>
                    </div>

                    <div class="col-md-10 col-xs-8">
                       <input type="text" class="form-control" id="costo" name="costo">
                    </div>
				 </div> 
						 
				
				 <div class="row">
                    <div class="col-md-2 col-xs-2 mt-2">
                        <span class="titulos_p mt-2">CANT.</span>
                    </div>

                    <div class="col-md-3 col-xs-4">
                       <input type="text" class="form-control" id="cantidad" name="cantidad">
                    </div>
					  <div class="col-md-2 col-xs-4">
                       <input style="background:orange" type="text" class="form-control" id="mas" name="mas" placeholder="+ Aumentar">
                    </div>
				 </div> 
						 
					 <div class="row">
                    <div class="col-md-2 col-xs-2 mt-2">
                        <span class="titulos_p mt-2">Cant. Min</span>
                    </div>

                    <div class="col-md-10 col-xs-8">
                       <input type="text" class="form-control" id="cant_minima" name="cant_minima">
                    </div>
				 </div> 
						 
						  
				 
				 <div class="row">
                    <div class="col-xs-2 mt-2">
                        <span class="titulos_p mt-2">PRECIOS</span> 
                    </div>
                  </div>
				 <div class="row">
                    <div class="col-xs-3">
                       <input type="text" class="form-control2" id="precio1" name="precio1">
                    </div>
				
			
                    <div class="col-xs-3">
                       <input type="text" class="form-control2" id="precio2" name="precio2">
                    </div>
				
				
				
                  

                    <div class="col-xs-3">
                       <input type="text" class="form-control2" id="precio3" name="precio3">
                    </div>
					 
					 
                    <div class="col-xs-3">
                       <input type="text" class="form-control2" id="precio4" name="precio4">
                    </div>
				</div>
						 
				
						 
						 <br>
				    <div class="row hi">
                        <div class="col-md-2 col-xs-2">
                            <label>CATG.</label>
                        </div> 
                        <div class="col-md-4 col-xs-8" id="divCategoria">
                            <select class="form-control  mb-2" id="variedad">

                                <option value="" selected disabled>Variedades...</option>
                                <?php $sql2 = mysql_query("select * from variedad_productos order by variedad asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['variedad'] ?>"><?php echo $r['variedad'] ?></option>
                                <?php } ?>
                            </select>
                        </div>
                        <div class="col-md-5 mt-2">
                        <a href="javascript:void(0)" onClick="openVariedad()"><i class="fa fa-plus"></i><b> Nueva variedad</b></a>
                        </div>

                    </div>
						 
						 
						 
						 
				 <hr>
                    <a href="#" class="btn btn-verde"   id="grabar" onClick="grabar_producto()"><i class="bi bi-save"></i> Grabar</a>
				    <a href="#" class="btn btn-rojo"  name="borrar" id="borrar" onClick="borrar(frm.id.value)"><i class="bi bi-trash"></i> Borrar</a>
				    <a class="btn btn-orange" onClick="lista()"  href="javascript:void(0)" id="btn-lista"><i class="bi bi-chart" ></i> Ver lista</a>
						     <a class="btn btn-orange"   href="" id="btn-lista"><i class="bi bi-stickies" ></i> Crear nuevo</a>
                    
				   </form> 
				 </div> 
                  
                    </div>
                </div>
            </div>
            
        </div>
    </div>
</div>
<?php

include_once '../footer.php';
?>

<script>

	
	
	   function lista() {
        window.open('lista_productos.php?','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');

    }
	
	
	               function openVariedad() {
                        window.open('../productos/variedad.php?','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=500,height=850');

          }
	
	
	function getVariedad(n){
    $.get("../productos/combo_categorias.php", function(data, st){
        if(st=="success"){
            $("#divCategoria").html(data);
            $("#variedad option[value='"+n+"']").prop('selected', true);

        }
    })

}



$("#codigo").on("keypress", function(){
  uniKeyCode(event);
})

////window.addEventListener("keydown",tecla,false);


 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){

		////if($("#txt_buscar").val()!=""){
			get($("#codigo").val());
		///}

	  }

}



function get(codigo){
  
      $("#frm").trigger('reset');
       $("#codigo").val(codigo);
        $("#cantidad").focus();
        $("#cantidad").select();
      setTimeout(function(){
       
    },1000);

            var sql="select * from productos where codigo='"+codigo+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;
                    $("#nombre").val(rs.data[i].descripcion);
					
					
				
					
                   $("#codigo").val(rs.data[i].codigo);

                    
					$("#cantidad").val(rs.data[i].stock);

                    $("#id").val(rs.data[i].id_producto);
                    $("#precio1").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
					$("#precio2").val(rs.data[i].precio2);
					$("#precio3").val(rs.data[i].precio3);
					$("#precio4").val(rs.data[i].precio4);
                 
                    $("#cant_minima").val(rs.data[i].cantidad_minima);
					
					$("#relacion").val(rs.data[i].relacion_detalle);
					
                 
                 
                  
                    $("#variedad option[value='"+rs.data[i].variedad+"']").prop('selected', true);
                   
              
                  }

            })
        }

	
	
	
	
	function ultimo(){

             $("#frm").trigger('reset');
              

            var sql="select max(id_producto) as ultimo from productos"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);

                for( var i in rs.data){
                    var ul = rs.data[i].ultimo;
					ul = parseInt(ul)+1+"01";
                    $("#codigo").val(ul);
					
                   
              
                  }

            })
        }

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	 function grabar_producto(){
				var codigo = $("#codigo").val();
				var id = $("#id").val();
				if(id==""){
				var param = "codigo="+codigo
				$.get("../productos/verificar_existe.php?"+param, function(data,st){
					if(st=="success"){
						if(data>0){
								alert("Hay un producto con este codigo")
						}else{
							  $(".btn").hide()
							grabar_producto2()
						}
					}
				})
			}else{
				  $(".btn").hide()
				grabar_producto2()
				
			}
  }

  function grabar_producto2(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}

     var id_producto = $("#id").val()
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
   
     var precio = $("#precio1").val();
	 var precio2 = $("#precio2").val();
	 var precio3 = $("#precio3").val();
	 var precio4 = $("#precio4").val();
     var costo = $("#costo").val();
     var stock = $("#cantidad").val();
	
	 var cant_minima = $("#cant_minima").val();
	
   
	 if(stock==""){stock=0;}
    
     var variedad = $("#variedad").val();
     
	 if(precio2=="" || precio2==0){precio2=precio;}

	$("#btngrabar").prop("disabled", true)

     if(nombre=="" || codigo==""){alert('Faltan datos'); return}
	
    var sql="";
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";
			sql+=", precio2='"+precio2+"'";
			sql+=", precio3='"+precio3+"'";
			sql+=", precio4='"+precio4+"'";
           
           
            sql+=", variedad='"+variedad+"'";
           
            sql+=", stock='"+stock+"'";
             sql+=", cantidad_minima='"+cant_minima+"'";
			

        }else{
			/*
              if(validAuth!="Ok"){
                   modalAuth00(grabar_producto2);
                    return;
                }
             */
            sql="UPDATE productos set";
             sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'";
			sql+=", precio2='"+precio2+"'";
			sql+=", precio3='"+precio3+"'";
			sql+=", precio4='"+precio4+"'";
           
           
            sql+=", variedad='"+variedad+"'";
           
            sql+=", stock='"+stock+"'";
             sql+=", cantidad_minima='"+cant_minima+"'";
            sql+=" WHERE id_producto='"+id_producto+"'";

        }

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
	    //// window.location.reload()
		  var mas = $("#mas").val();
		  if(mas>0){
			 aumentar(id_producto, mas)
		  }else{
  		$(".btn").show()
			  window.location.reload()
		  }

      }else{
          alert(data);

      }

    })
}

	
	
	
	
	
	
function aumentar(id, au){
    var sql="";
    sql="update productos set stock = stock + '"+ au +"' where id_producto='"+id+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Inventario aumentado","Registro grabado");
        window.location.reload()

      }else{
          alert(data);

      }
        $("#loading").modal('hide');
    })
}

	
	
	
	
	
	
	
	
	
	
	
	
	
function borrar(id){
if(!confirm("Seguro(a) que desea eliminar este producto?")){return;}
    var sql="";
    sql="delete from productos  where id_producto='"+id+"'";

    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("info","Producto eliminado","Registro grabado");
        window.location.reload()

      }else{
          alert(data);

      }
        $("#loading").modal('hide');
    })
}
	
	
	
	
	
	
	


</script>